<?php if (!defined('FW')) die('Forbidden');

/**
 * @var $atts The shortcode attributes
 */
global $wplab_recover_core;

$cats = array();
$cats_str = '';

$paged = get_query_var( 'paged' );
$paged = $paged == 0 ? 1 : $paged;

/**
 * Get posts
 **/
$args = array(
	'type' => 'all',
	'posts_per_page' => isset( $atts['posts_per_page'] ) && $atts['posts_per_page'] <> '' ? absint( $atts['posts_per_page'] ) : 9,
	'category' => $cats,
	'term_field' => 'slug',
	'post_type' => 'fw-portfolio',
	'tax_name' => 'fw-portfolio-category',
	'paged' => $paged,
	'order' => isset( $atts['order_by'] ) && $atts['order_by'] <> '' ? $atts['order_by'] : 'date',
	'sort' => isset( $atts['sort_by'] ) && $atts['sort_by'] <> '' ? $atts['sort_by'] : 'DESC',
);

$posts = $wplab_recover_core->model('post')->get( $args );

/**
 * Posts style
 **/
?>

<?php if( filter_var( $atts['display_filters'], FILTER_VALIDATE_BOOLEAN ) ): ?>
<div class="ajax-portfolio-filters" data-target-id="portfolio-posts-id-<?php echo esc_attr( $atts['id'] ); ?>">
	<?php

		$_tax_args = array(
			'hide_empty' => false,
			'orderby' => $atts['filters_order_by'],
			'order' => $atts['filters_sort_by'],
		);

		$terms = get_terms( 'fw-portfolio-category', $_tax_args);

		if( count( $terms ) > 0 ) {
				echo '<a href="javascript:;" data-target-id="#portfolio-posts-id-' . $atts['id'] . '" class="current" data-term="*">' . esc_html__('All', 'wplab-recover') . '</a>';
			foreach( $terms as $term ) {
				echo '<a href="javascript:;" data-target-id="#portfolio-posts-id-' . $atts['id'] . '" data-term="' . $term->slug . '">' . $term->name . '</a>';
			}
		}
	?>
</div>
<?php endif; ?>

<div id="portfolio-posts-id-<?php echo esc_attr( $atts['id'] ); ?>" class="portfolio-ajax-posts-shortcode <?php echo filter_var( $atts['display_preview'], FILTER_VALIDATE_BOOLEAN ) ? 'with-preview' : 'no-preview'; ?> grid style-<?php echo esc_attr( $atts['style'] ); ?> hover-style-<?php echo esc_attr( $atts['hover_effect'] ); ?>">

<?php if( $posts->have_posts() ): ?>

	<?php while ( $posts->have_posts() ): $posts->the_post(); ?>

		<?php if( $atts['style'] == 'cols_3' ): ?>

			<?php get_template_part( 'template-parts/portfolio-3cols' ); ?>

		<?php elseif( $atts['style'] == 'cols_3_no_spaces' ): ?>

			<?php get_template_part( 'template-parts/portfolio-3cols-no-spaces' ); ?>

		<?php elseif( $atts['style'] == 'cols_3_desc' ): ?>

			<?php get_template_part( 'template-parts/portfolio-3cols-desc' ); ?>

		<?php endif; ?>

	<?php endwhile; ?>

</div>

<?php
	/**
	 * Pagination
	 **/
?>

<?php if( isset( $atts['pagination'] ) && filter_var( $atts['pagination'], FILTER_VALIDATE_BOOLEAN ) && $posts->max_num_pages > 1 ): ?>

	<div class="ajax-portfolio-pagination">
		<a
			href="javascript:;"
			data-target-id="#portfolio-posts-id-<?php echo esc_attr( $atts['id'] ); ?>"
			data-current-page="<?php echo esc_attr( $paged ); ?>"
			data-next-page="<?php echo esc_attr( $paged + 1 ); ?>"
			data-max-pages="<?php echo isset( $posts->max_num_pages ) ? esc_attr( $posts->max_num_pages ) : 1; ?>"
			data-posts-per-page="<?php echo esc_attr( $atts['posts_per_page'] );?>"
			data-order-by="<?php echo esc_attr( $atts['order_by'] );?>"
			data-sort-by="<?php echo esc_attr( $atts['sort_by'] );?>"
			data-thumbs-only="1"
			data-style="<?php echo esc_attr( $atts['style'] );?>"
			class="ajax-portfolio-pagination-link">
				<?php echo fw_get_db_settings_option( 'portfolio_load_more_title' ); ?>
		</a>
	</div>

<?php endif; ?>

<?php wp_reset_postdata(); else: ?>
	<h4><?php esc_html_e( 'No posts were found', 'wplab-recover' ); ?></h4>
<?php
endif;
