(function($){

	var $items = $('.portfolio-ajax-posts-shortcode');

	if( $items.length ) {

		$items.waitForImages({
			waitForAll: true,
			finished: function() {

				$items.isotope({
					layoutMode: 'masonry',
					itemSelector: 'article',
					onLayout: function () {
						$(window).trigger('scroll');
					}
				});

			}
		});

	}

	$('.ajax-portfolio-filters a').on('click', function() {

		var $link = $(this),
		targetId = $link.data('target-id'),
		$target = $( targetId ),
		cat = $link.data('term'),
		$parent = $link.parent().parent(),
		$ajaxPaginationLink = $target.parent().find('.ajax-portfolio-pagination-link');

		$link.parent().find('a').removeClass('current');

		$link.addClass('current');

		$.ajax({
			url: wprotoEngineVars.ajaxurl,
			type: "POST",
			dataType : 'json',
			data: {
				'action' : 'wproto_ajax_portfolio',
				'term' : $link.data('term'),
				'style' : $ajaxPaginationLink.data('style'),
				'posts_per_page' : $ajaxPaginationLink.data('posts-per-page'),
				'order_by' : $ajaxPaginationLink.data('order-by'),
				'sort_by' : $ajaxPaginationLink.data('sort-by')
			},
			beforeSend: function() {
				$target.fadeTo( 200, '0.5' );
			},
			success: function( response ) {

				if( $ajaxPaginationLink.length ) {
					$ajaxPaginationLink.data( 'current-page', '1' );
					$ajaxPaginationLink.data( 'next-page', '2' );
				}

				if( response.html ) {
					$target.html( response.html );

					$target.isotope('destroy');

					$target.waitForImages({
						waitForAll: true,
						finished: function() {
							$target.isotope({
								layoutMode: 'masonry',
								itemSelector: 'article',
								onLayout: function () {
									$(window).trigger('scroll');
								}
							});
						}
					});

					window.themeFrontCore.setupLightbox();

				}

				if( response.hide_link == true ) {
					$ajaxPaginationLink.hide();
				} else {
					$ajaxPaginationLink.show();
				}

				$target.fadeTo( 200, '1' );

			}
		});

		return false;
	});

	$('.ajax-portfolio-pagination-link').on('click', function() {

		var $link = $(this),
		targetId = $link.data('target-id'),
		$target = $( targetId ),
		$parent = $link.parent().parent(),
		cat = $parent.find('.ajax-portfolio-filters a.current').data('term');

		$link.parent().find('a').removeClass('current');

		$link.addClass('current');

		$.ajax({
			url: wprotoEngineVars.ajaxurl,
			type: "POST",
			dataType : 'json',
			data: {
				'action' : 'wproto_ajax_portfolio',
				'term' : cat,
				'data' : $link.data(),
				'posts_per_page' : $link.data('posts-per-page'),
				'order_by' : $link.data('order-by'),
				'sort_by' : $link.data('sort-by'),
				'style' : $link.data('style'),
			},
			beforeSend: function() {
				$target.fadeTo( 200, '0.5' );
			},
			success: function( response ) {

				if( response.html ) {

					var $addHtml = $( response.html );

					$link.data( 'current-page', response.current_page );
					$link.data( 'next-page', response.next_page );

					$target.append( $addHtml );

					$target.waitForImages({
						waitForAll: true,
						finished: function() {

							$target.isotope('appended', $addHtml ).isotope('layout');

							window.themeFrontCore.setupLightbox();


						}
					});

				}

				if( response.hide_link == true ) {
					$link.hide();
				} else {
					$link.show();
				}

				$target.fadeTo( 200, '1' );

			}
		});

		return false;
	});

})( window.jQuery );
